SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000151: Clam AV update & havp update - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000151Endian FirewallSecuritypublic2007-04-01 12:012007-12-31 19:15
ReporterJacob 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target VersionFixed in Version2.2-beta2 
Summary0000151: Clam AV update & havp update
Descriptionhow to update my clam AV i always get an error in my log saying


Apr 1 13:01:05 freshclam[29780]: DON'T PANIC! Read http://www.clamav.net/faq.html [^]
Apr 1 13:01:05 freshclam[29780]: WARNING: Local version: 0.88.7 Recommended version: 0.90.1
Apr 1 13:01:05 freshclam[29780]: WARNING: Your ClamAV installation is OUTDATED!

where and how to update this
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000336)
Jacob (reporter)
2007-05-26 07:15

Reminder sent to: maniti, marktrent, peter-endian, Steve

Pls look into this issue if possible,

thanks
(0000337)
Steve (reporter)
2007-05-26 07:45

I usually update from www.stellarcore.net, but there seems to be a problem with dependencies I've never had before.

Screendump:

root@firewall:~ # rpm -Uvh http://www.stellarcore.net/downloads/efw2-updates/clamav-0.90.2-0.endian5.i386.rpm [^] http://www.stellarcore.net/downloads/efw2-updates/clamav-db-0.90.2-0.endian5.i386.rpm [^]
Retrieving http://www.stellarcore.net/downloads/efw2-updates/clamav-0.90.2-0.endian5.i386.rpm [^]

Retrieving http://www.stellarcore.net/downloads/efw2-updates/clamav-db-0.90.2-0.endian5.i386.rpm [^]

error: Failed dependencies:
        libclamav.so.1 is needed by (installed) havp-0.83-1.endian8.i386
        libclamav.so.1 is needed by (installed) perl-Mail-Clamav-0.17-0.endian0.i386
root@firewall:~ #
(0000338)
patcsy88 (reporter)
2007-05-26 18:34

All,

You'd also need to update HAVP and perl-Mail-Clamav as found on Stellarcore. But before executing the update, I'd suggest you make a copy of /etc/init.d/clamd as the clamav rpm has a bug that removes it and fails put it back and thus you will get a script error. I'd also suggest you make copies of /etc/clamav/*.tmpl as I believe the ones that created/updated after the update are incomplete.

Got mine working after going thru the above steps.

HTH
(0000340)
remyservices (reporter)
2007-05-29 01:07

Can anyone confirm this? in testing it seems to upgrade, but from then on ClamAV does not seem to protect from anything anymore.
Any input?
(0000341)
mgtremaine (reporter)
2007-05-29 01:56

I can confirm that the new rpm's work fine on Endiam 2.0 which is what I made them on. If clamd is running but not catching anything check the logs and make sure it is not stuck on a "lock" file.

Look in /usr/share/clamav

Also make sure that the old libclamav.so.1 got removed from /usr/lib, you should only have

root@kraken:/usr/share/clamav # ls /usr/lib/libclamav.so*
/usr/lib/libclamav.so /usr/lib/libclamav.so.2 /usr/lib/libclamav.so.2.0.2

If I get a chance I'll see if I can't fix the init.d issue with my rpm.

-Mike
(0000342)
remyservices (reporter)
2007-05-29 02:04

Thanks for the RPM's Mike!
I know in another post you have said to be careful with updating clamav with endian 2.1.
Are the RPM's still only good for 2.0 or have you done any changes?
(0000343)
mgtremaine (reporter)
2007-05-29 02:12

I have not made any changes to them since I posted them. Other people on the list have said they work so it makes me think they should be ok, BUT the /etc/init.d/clamd issue patcsy88 commented on is valid. Endian 2.0 had no init.d file so my RPM does not add it. Other then that I can't think of any reason why it would not work BUT since I have no 2.1 system I just can not be sure.

-Mike
(0000344)
Jacob (reporter)
2007-05-29 07:08

Dear Mike
\

can you tell me exactly step by step how to update it , im using it on live system and i dont wana go down.

thanks
(0000581)
peter-endian (administrator)
2007-10-27 21:21

2.2 has an up to date clamav version

- Issue History
Date Modified Username Field Change
2007-04-01 12:01 Jacob New Issue
2007-05-26 07:15 Jacob Note Added: 0000336
2007-05-26 07:45 Steve Note Added: 0000337
2007-05-26 18:34 patcsy88 Note Added: 0000338
2007-05-29 01:07 remyservices Note Added: 0000340
2007-05-29 01:56 mgtremaine Note Added: 0000341
2007-05-29 02:04 remyservices Note Added: 0000342
2007-05-29 02:12 mgtremaine Note Added: 0000343
2007-05-29 07:08 Jacob Note Added: 0000344
2007-10-27 21:21 peter-endian Status new => resolved
2007-10-27 21:21 peter-endian Fixed in Version => 2.2
2007-10-27 21:21 peter-endian Resolution open => fixed
2007-10-27 21:21 peter-endian Assigned To => peter-endian
2007-10-27 21:21 peter-endian Note Added: 0000581
2007-12-31 19:15 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:15 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker